ABELLA_DEP(1)

NAME

abella_dep - Generate makefiles for a collection of Abella sources

SYNOPSIS

abella_dep [OPTION]… [SOURCE]…

ARGUMENTS

SOURCE
    An Abella .thm file or a directory

OPTIONS

-a CMD, --abella=CMD (absent=abella[.exe] or ABELLA env)
    Set the Abella command to CMD.

-c, --clobber
    Clobber (overwrite) an existing file specified with -o.

-o FILE, --output=FILE (absent=standard output)
    Output dependencies to FILE as a makefile. If FILE is -, then send the output to the standard output.

-r  Process directories recursively.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

ENVIRONMENT

These environment variables affect the execution of abella_dep:

ABELLA
    Abella command to run (overriden by --abella)

EXAMPLES

To create a Makefile from a.thm, d/b.thm, and c/*.thm

  $ abella_dep a.thm d/b.thm c/*.thm

To create a Makefile recursively from all .thm files in d/

  $ abella_dep -r d

SEE ALSO

abella(1)

BUGS

File bug reports at <https://github.com/abella-prover/abella/issues>